Debian Bug report logs - #549451
impossible to override offline mode when using network-manager

version graph

Package: evolution; Maintainer for evolution is Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>; Source for evolution is src:evolution.

Reported by: Felix Koop <fdp@fkoop.de>

Date: Sat, 3 Oct 2009 13:39:02 UTC

Severity: important

Tags: jessie, sid, squeeze, upstream, wheezy

Merged with 582358, 584200, 587302, 587325, 590547, 594072, 597147, 599722, 601340

Found in versions evolution/2.28.0-2, evolution/2.30.1.2-2, evolution/2.30.1.2-3, evolution/2.30.2-1, evolution/2.30.3-1, evolution/2.30.3-5, evolution/3.2.2-1

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>:
Bug#549451; Package evolution. (Sat, 03 Oct 2009 13:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Felix Koop <fdp@fkoop.de>:
New Bug report received and forwarded. Copy sent to Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>. (Sat, 03 Oct 2009 13:39:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Felix Koop <fdp@fkoop.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: evolution: Evolution always starts offline
Date: Sat, 03 Oct 2009 15:08:54 +0200
Package: evolution
Version: 2.28.0-2+b1
Severity: minor


Since the last upgrade, evolution always starts in offline mode. What can I change to have it start in online mode?

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30-1-amd64 (SMP w/8 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages evolution depends on:
ii  dbus                   1.2.16-2          simple interprocess messaging syst
ii  debconf [debconf-2.0]  1.5.27            Debian configuration management sy
ii  evolution-common       2.28.0-2          architecture independent files for
ii  evolution-data-server  2.28.0-2+b2       evolution database backend server
ii  gconf2                 2.26.2-3          GNOME configuration database syste
ii  gnome-icon-theme       2.28.0-1          GNOME Desktop icon theme
ii  libart-2.0-2           2.3.20-2          Library of functions for 2D graphi
ii  libatk1.0-0            1.28.0-1          The ATK accessibility toolkit
ii  libbluetooth3          4.42-2            Library to use the BlueZ Linux Blu
ii  libbonobo2-0           2.24.2-1          Bonobo CORBA interfaces library
ii  libbonoboui2-0         2.24.2-1          The Bonobo UI library
ii  libc6                  2.9-27            GNU C Library: Shared libraries
ii  libcairo2              1.8.8-2           The Cairo 2D vector graphics libra
ii  libcamel1.2-14         2.28.0-2+b2       The Evolution MIME message handlin
ii  libdbus-1-3            1.2.16-2          simple interprocess messaging syst
ii  libdbus-glib-1-2       0.82-2            simple interprocess messaging syst
ii  libebackend1.2-0       2.28.0-2+b2       Utility library for evolution data
ii  libebook1.2-9          2.28.0-2+b2       Client library for evolution addre
ii  libecal1.2-7           2.28.0-2+b2       Client library for evolution calen
ii  libedataserver1.2-11   2.28.0-2+b2       Utility library for evolution data
ii  libedataserverui1.2-8  2.28.0-2+b2       GUI utility library for evolution 
ii  libegroupwise1.2-13    2.28.0-2+b2       Client library for accessing group
ii  libenchant1c2a         1.4.2-3.3         a wrapper library for various spel
ii  libexchange-storage1.2 2.28.0-2+b2       Client library for accessing Excha
ii  libfontconfig1         2.6.0-4           generic font configuration library
ii  libfreetype6           2.3.9-5           FreeType 2 font engine, shared lib
ii  libgconf2-4            2.26.2-3          GNOME configuration database syste
ii  libgdata-google1.2-1   2.28.0-2+b2       Client library for accessing Googl
ii  libgdata1.2-1          2.28.0-2+b2       Client library for accessing Googl
ii  libglade2-0            1:2.6.4-1         library to load .glade files at ru
ii  libglib2.0-0           2.22.1-1          The GLib library of C routines
ii  libgnome-desktop-2-11  2.28.0-1          Utility library for loading .deskt
ii  libgnome-pilot2        2.0.15-2.4        Support libraries for gnome-pilot
ii  libgnome2-0            2.28.0-1          The GNOME library - runtime files
ii  libgnomecanvas2-0      2.26.0-1          A powerful object-oriented display
ii  libgnomeui-0           2.24.2-1          The GNOME libraries (User Interfac
ii  libgnomevfs2-0         1:2.24.1-4        GNOME Virtual File System (runtime
ii  libgtk2.0-0            2.18.1-1          The GTK+ graphical user interface 
ii  libgtkhtml-editor0     3.28.0-3          HTML rendering/editing library - e
ii  libgtkhtml3.14-19      3.28.0-3          HTML rendering/editing library - r
ii  libgweather1           2.28.0-1          GWeather shared library
ii  libhal1                0.5.13-3          Hardware Abstraction Layer - share
ii  libical0               0.43-3            iCalendar library implementation i
ii  libice6                2:1.0.5-1         X11 Inter-Client Exchange library
ii  libldap-2.4-2          2.4.17-2          OpenLDAP libraries
ii  libnotify1 [libnotify1 0.4.5-1           sends desktop notifications to a n
ii  libnspr4-0d            4.8-1             NetScape Portable Runtime Library
ii  libnss3-1d             3.12.3.1-1        Network Security Service libraries
ii  liborbit2              1:2.14.17-0.1     libraries for ORBit2 - a CORBA ORB
ii  libpango1.0-0          1.26.0-1          Layout and rendering of internatio
ii  libpisock9             0.12.4-6          library for communicating with a P
ii  libpisync1             0.12.4-6          synchronization library for PalmOS
ii  libpopt0               1.14-4            lib for parsing cmdline parameters
ii  libsm6                 2:1.1.1-1         X11 Session Management library
ii  libsoup2.4-1           2.28.0-1          an HTTP library implementation in 
ii  libsqlite3-0           3.6.18-1          SQLite 3 shared library
ii  libstartup-notificatio 0.10-1            library for program launch feedbac
ii  libusb-0.1-4           2:0.1.12-13       userspace USB programming library
ii  libx11-6               2:1.2.2-1         X11 client-side library
ii  libxml2                2.7.5.dfsg-1      GNOME XML library
ii  zlib1g                 1:1.2.3.3.dfsg-15 compression library - runtime

Versions of packages evolution recommends:
ii  bogofilter               1.2.1-1         a fast Bayesian spam filter (dummy
ii  evolution-plugins        2.28.0-2+b1     standard plugins for Evolution
ii  evolution-webcal         2.28.0-1        webcal: URL handler for GNOME and 
ii  gnome-desktop-data       2.28.0-1        Common files for GNOME desktop app
ii  gnome-pilot-conduits     2.0.15-1.2      conduits for gnome-pilot
ii  spamassassin             3.2.5-5         Perl-based spam filter using text 
ii  yelp                     2.28.0+webkit-1 Help browser for GNOME

Versions of packages evolution suggests:
pn  bug-buddy                     <none>     (no description available)
pn  evolution-dbg                 <none>     (no description available)
ii  evolution-exchange            2.28.0-1   Exchange plugin for the Evolution 
pn  evolution-plugins-experimenta <none>     (no description available)
ii  gnupg                         1.4.10-2   GNU privacy guard - a free PGP rep
ii  network-manager               0.7.1-2    network management framework daemo

-- debconf information:
  evolution/needs_shutdown:




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>:
Bug#549451; Package evolution. (Sat, 03 Oct 2009 20:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>. (Sat, 03 Oct 2009 20:06:03 GMT) Full text and rfc822 format available.

Message #10 received at 549451@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: Felix Koop <fdp@fkoop.de>, 549451@bugs.debian.org
Subject: Re: [Evolution] Bug#549451: evolution: Evolution always starts offline
Date: Sat, 03 Oct 2009 21:58:27 +0200
[Message part 1 (text/plain, inline)]
On sam, 2009-10-03 at 15:08 +0200, Felix Koop wrote:
> Since the last upgrade, evolution always starts in offline mode. What
> can I change to have it start in online mode?

Check your network-manager settings, maybe? (in gconf or something). And
if you use nm, be sure you are indeed connected.

-- 
Yves-Alexis
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>:
Bug#549451; Package evolution. (Sat, 03 Oct 2009 21:15:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Felix Koop <fdp@fkoop.de>:
Extra info received and forwarded to list. Copy sent to Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>. (Sat, 03 Oct 2009 21:15:17 GMT) Full text and rfc822 format available.

Message #15 received at 549451@bugs.debian.org (full text, mbox):

From: Felix Koop <fdp@fkoop.de>
To: Yves-Alexis Perez <corsac@debian.org>
Cc: 549451@bugs.debian.org
Subject: Re: [Evolution] Bug#549451: evolution: Evolution always starts offline
Date: Sat, 03 Oct 2009 23:07:15 +0200
I have a fixed IP address, the interface is always up and running and
even if I am online with evolution, stop evolution and restart it again,
it starts offline. So the external connection is not the problem, that
connection exists.

-- 
Mit freundlichen Grüßen

Felix Koop



Am Samstag, den 03.10.2009, 21:58 +0200 schrieb Yves-Alexis Perez: 
> On sam, 2009-10-03 at 15:08 +0200, Felix Koop wrote:
> > Since the last upgrade, evolution always starts in offline mode. What
> > can I change to have it start in online mode?
> 
> Check your network-manager settings, maybe? (in gconf or something). And
> if you use nm, be sure you are indeed connected.
> 





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>:
Bug#549451; Package evolution. (Sat, 03 Oct 2009 21:24:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>. (Sat, 03 Oct 2009 21:24:06 GMT) Full text and rfc822 format available.

Message #20 received at 549451@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: Felix Koop <fdp@fkoop.de>
Cc: 549451@bugs.debian.org
Subject: Re: [Evolution] Bug#549451: evolution: Evolution always starts offline
Date: Sat, 03 Oct 2009 23:13:16 +0200
[Message part 1 (text/plain, inline)]
On sam, 2009-10-03 at 23:07 +0200, Felix Koop wrote:
> I have a fixed IP address, the interface is always up and running and
> even if I am online with evolution, stop evolution and restart it again,
> it starts offline. So the external connection is not the problem, that
> connection exists.

I was asking about the network-manager status. Check that the gconf
setup is correct.

In particular, check the following key:

/apps/evolution/shell/start_offline

Cheers,

-- 
Yves-Alexis
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>:
Bug#549451; Package evolution. (Sat, 03 Oct 2009 21:39:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Felix Koop <fdp@fkoop.de>:
Extra info received and forwarded to list. Copy sent to Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>. (Sat, 03 Oct 2009 21:39:11 GMT) Full text and rfc822 format available.

Message #25 received at 549451@bugs.debian.org (full text, mbox):

From: Felix Koop <fdp@fkoop.de>
To: Yves-Alexis Perez <corsac@debian.org>
Cc: 549451@bugs.debian.org
Subject: Re: [Evolution] Bug#549451: evolution: Evolution always starts offline
Date: Sat, 03 Oct 2009 23:28:21 +0200
Sorry, I don't know how to check that everything is correct. The key you
mentioned is not set, so it should not start offline.

-- 
Mit freundlichen Grüßen

Felix Koop



Am Samstag, den 03.10.2009, 23:13 +0200 schrieb Yves-Alexis Perez: 
> On sam, 2009-10-03 at 23:07 +0200, Felix Koop wrote:
> > I have a fixed IP address, the interface is always up and running and
> > even if I am online with evolution, stop evolution and restart it again,
> > it starts offline. So the external connection is not the problem, that
> > connection exists.
> 
> I was asking about the network-manager status. Check that the gconf
> setup is correct.
> 
> In particular, check the following key:
> 
> /apps/evolution/shell/start_offline
> 
> Cheers,
> 





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>:
Bug#549451; Package evolution. (Fri, 18 Jun 2010 09:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Beatrice Torracca <beatricet@libero.it>:
Extra info received and forwarded to list. Copy sent to Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>. (Fri, 18 Jun 2010 09:27:04 GMT) Full text and rfc822 format available.

Message #30 received at 549451@bugs.debian.org (full text, mbox):

From: Beatrice Torracca <beatricet@libero.it>
To: Debian Bug Tracking System <549451@bugs.debian.org>
Subject: evolution: always starts offline and can not be put online
Date: Fri, 18 Jun 2010 11:24:35 +0200
Package: evolution
Version: 2.30.1.2-3
Severity: normal


I am having the same problem, which is also the one (or one related to)
mentioned in bugs 553383, 366338, and 584200.

First of all I am no Linux guru.

Yes, I have NetworkManager running, yes I have "managed=false" in
/etc/NetworkManager/nm-system-settings.conf.

Though I don't see it as being not correctly setup. It was done
intentionally. I want NM to manage the wireless connection, but I dont
want it to manage the Ethernet one. My network settings works right for
everything else.

It's not much of a problem for me that evolution starts offline, but
what makes this more than a minor bug for me is that I can't put it
online even manually. The option to work "online" from the File menu is
grayed out. And if I am offline I can't Send/REceive mails.

Some people like me might have evolution setup to use a local spool as
the source of the mails and sendmail to send mails; so whether the net
was up or not shouldnt even be an issue.

Anyway I can not go in online mode whether my net is working or not. I
really would not want to change my network settings to make NM manage my
Ethernet connection, I dont see why I should have to, but again I am no guru.

Thanks,
beatrice.




-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/1 CPU core)
Locale: LANG=it_IT.UTF-8, LC_CTYPE=it_IT.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages evolution depends on:
ii  dbus                    1.2.24-1         simple interprocess messaging syst
ii  debconf [debconf-2.0]   1.5.32           Debian configuration management sy
ii  evolution-common        2.30.1.2-3       architecture independent files for
ii  evolution-data-server   2.30.1-5         evolution database backend server
ii  gconf2                  2.28.1-3         GNOME configuration database syste
ii  gnome-icon-theme        2.30.3-1         GNOME Desktop icon theme
ii  libart-2.0-2            2.3.21-1         Library of functions for 2D graphi
ii  libatk1.0-0             1.30.0-1         The ATK accessibility toolkit
ii  libc6                   2.11.1-3         Embedded GNU C Library: Shared lib
ii  libcairo2               1.8.10-4         The Cairo 2D vector graphics libra
ii  libcamel1.2-14          2.30.1-5         The Evolution MIME message handlin
ii  libcanberra-gtk0        0.24-1           Gtk+ helper for playing widget eve
ii  libcanberra0            0.24-1           a simple abstract interface for pl
ii  libdbus-1-3             1.2.24-1         simple interprocess messaging syst
ii  libdbus-glib-1-2        0.86-1           simple interprocess messaging syst
ii  libebackend1.2-0        2.30.1-5         Utility library for evolution data
ii  libebook1.2-9           2.30.1-5         Client library for evolution addre
ii  libecal1.2-7            2.30.1-5         Client library for evolution calen
ii  libedataserver1.2-13    2.30.1-5         Utility library for evolution data
ii  libedataserverui1.2-8   2.30.1-5         GUI utility library for evolution 
ii  libegroupwise1.2-13     2.30.1-5         Client library for accessing group
ii  libenchant1c2a          1.4.2-3.6        a wrapper library for various spel
ii  libevolution            2.30.1.2-3       evolution libraries
ii  libfontconfig1          2.8.0-2.1        generic font configuration library
ii  libfreetype6            2.3.11-1         FreeType 2 font engine, shared lib
ii  libgconf2-4             2.28.1-3         GNOME configuration database syste
ii  libgdata-google1.2-1    2.30.1-5         Client library for accessing Googl
ii  libgdata1.2-1           2.30.1-5         Client library for accessing Googl
ii  libglib2.0-0            2.24.1-1         The GLib library of C routines
ii  libgnome-desktop-2-17   2.30.0-2         Utility library for loading .deskt
ii  libgnomecanvas2-0       2.30.1-1         A powerful object-oriented display
ii  libgtk2.0-0             2.20.1-1         The GTK+ graphical user interface 
ii  libgtkhtml-editor0      3.30.1-2         HTML rendering/editing library - e
ii  libgtkhtml3.14-19       3.30.1-2         HTML rendering/editing library - r
ii  libgweather1            2.30.0-2         GWeather shared library
ii  libical0                0.44-3           iCalendar library implementation i
ii  libice6                 2:1.0.6-1        X11 Inter-Client Exchange library
ii  libnotify1 [libnotify1- 0.4.5-1          sends desktop notifications to a n
ii  libnspr4-0d             4.8.4-1          NetScape Portable Runtime Library
ii  libnss3-1d              3.12.6-2         Network Security Service libraries
ii  libpango1.0-0           1.28.0-1         Layout and rendering of internatio
ii  libsm6                  2:1.1.1-1        X11 Session Management library
ii  libsoup2.4-1            2.30.1-1         an HTTP library implementation in 
ii  libsqlite3-0            3.6.23.1-4       SQLite 3 shared library
ii  libstartup-notification 0.10-1           library for program launch feedbac
ii  libunique-1.0-0         1.1.6-1          Library for writing single instanc
ii  libxml2                 2.7.7.dfsg-2     GNOME XML library
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime

Versions of packages evolution recommends:
ii  bogofilter               1.2.1-2         a fast Bayesian spam filter (dummy
ii  evolution-plugins        2.30.1.2-3      standard plugins for Evolution
ii  evolution-webcal         2.28.0-1+b1     webcal: URL handler for GNOME and 
ii  gnome-desktop-data       2.30.0-2        Common files for GNOME desktop app
ii  yelp                     2.30.1+webkit-1 Help browser for GNOME

Versions of packages evolution suggests:
pn  bug-buddy                     <none>     (no description available)
pn  evolution-dbg                 <none>     (no description available)
pn  evolution-exchange            <none>     (no description available)
pn  evolution-plugins-experimenta <none>     (no description available)
ii  gnupg                         1.4.10-4   GNU privacy guard - a free PGP rep
ii  network-manager               0.8-1      network management framework daemo

-- debconf information:
  evolution/needs_shutdown:




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>:
Bug#549451; Package evolution. (Fri, 18 Jun 2010 09:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>. (Fri, 18 Jun 2010 09:39:07 GMT) Full text and rfc822 format available.

Message #35 received at 549451@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: Beatrice Torracca <beatricet@libero.it>, 549451@bugs.debian.org
Subject: Re: [Evolution] Bug#549451: evolution: always starts offline and can not be put online
Date: Fri, 18 Jun 2010 11:36:08 +0200
On 18/06/2010 11:24, Beatrice Torracca wrote:
> Anyway I can not go in online mode whether my net is working or not. I
> really would not want to change my network settings to make NM manage my
> Ethernet connection, I dont see why I should have to, but again I am no guru.

I have no idea, I don't use network-manager. But I do know that it seems
mandatory to have a correctly working NM to have it working at all. Now
managed=false seems to me like completely disabling NM so I'm not that
sure it's a correct setup. You might want to contact upstream to have
more info.

Cheers,
-- 
Yves-Alexis




Forcibly Merged 549451 582358 584200 587302. Request was from Yves-Alexis Perez <corsac@debian.org> to control@bugs.debian.org. (Sun, 27 Jun 2010 13:42:05 GMT) Full text and rfc822 format available.

Forcibly Merged 549451 582358 584200 587302 587325. Request was from Yves-Alexis Perez <corsac@debian.org> to control@bugs.debian.org. (Sun, 27 Jun 2010 14:57:08 GMT) Full text and rfc822 format available.

Changed Bug title to 'impossible to override offline mode when using network-manager' from 'evolution: Evolution always starts offline' Request was from Yves-Alexis Perez <corsac@debian.org> to control@bugs.debian.org. (Sun, 27 Jun 2010 15:00:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>:
Bug#549451; Package evolution. (Mon, 19 Jul 2010 06:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olivier Berger <olivier.berger@it-sudparis.eu>:
Extra info received and forwarded to list. Copy sent to Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>. (Mon, 19 Jul 2010 06:45:03 GMT) Full text and rfc822 format available.

Message #46 received at 549451@bugs.debian.org (full text, mbox):

From: Olivier Berger <olivier.berger@it-sudparis.eu>
To: 549451@bugs.debian.org
Subject: Re: Bug#549451: evolution: always starts offline and can not be put online
Date: Mon, 19 Jul 2010 08:42:44 +0200
On Fri, Jun 18, 2010 at 11:24:35AM +0200, Beatrice Torracca wrote:
> 
> Some people like me might have evolution setup to use a local spool as
> the source of the mails and sendmail to send mails; so whether the net
> was up or not shouldnt even be an issue.
> 

+1

FYI, I've filed a ticket upstream : https://bugzilla.gnome.org/show_bug.cgi?id=624701 for this problem.

Hope it will get addressed soon.

Best regards,




Set Bug forwarded-to-address to 'https://bugzilla.gnome.org/show_bug.cgi?id=624738'. Request was from Olivier Berger <olivier.berger@it-sudparis.eu> to control@bugs.debian.org. (Mon, 19 Jul 2010 14:09:05 GMT) Full text and rfc822 format available.

Forcibly Merged 549451 582358 584200 587302 587325 590547. Request was from Yves-Alexis Perez <corsac@debian.org> to control@bugs.debian.org. (Tue, 27 Jul 2010 09:15:08 GMT) Full text and rfc822 format available.

Forcibly Merged 549451 582358 584200 587302 587325 590547 594072. Request was from Yves-Alexis Perez <corsac@debian.org> to control@bugs.debian.org. (Wed, 25 Aug 2010 06:06:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>:
Bug#549451; Package evolution. (Thu, 26 Aug 2010 15:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mazoit Frédéric <Frederic.Mazoit@labri.fr>:
Extra info received and forwarded to list. Copy sent to Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>. (Thu, 26 Aug 2010 15:33:03 GMT) Full text and rfc822 format available.

Message #57 received at 549451@bugs.debian.org (full text, mbox):

From: Mazoit Frédéric <Frederic.Mazoit@labri.fr>
To: Debian Bug Tracking System <549451@bugs.debian.org>
Subject: evolution: problem when upgrading from lenny
Date: Thu, 26 Aug 2010 17:30:56 +0200
Package: evolution
Version: 2.30.2-1
Severity: normal


I do not use fetchmail. I only use evolution with imap boxes.

Today, I made a test upgrade from a lenny box and because
network-manager chaged its behaviour and no longer manages
wired links by default, evolution suddenly refused to connect
to my imap boxes.

Network-manager knows that it does not manages all the
internet links but evolution apparently thinks that it does.

I would like to be able to at least force evolution not to
trust network-manager.


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.utf8, LC_CTYPE=fr_FR.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages evolution depends on:
ii  dbus                    1.2.24-3         simple interprocess
messaging syst
ii  debconf [debconf-2.0]   1.5.35           Debian configuration
management sy
ii  evolution-common        2.30.2-1         architecture independent
files for
ii  evolution-data-server   2.30.2.1-1       evolution database backend
server
ii  gconf2                  2.28.1-3         GNOME configuration
database syste
ii  gnome-icon-theme        2.30.3-1         GNOME Desktop icon theme
ii  libart-2.0-2            2.3.21-1         Library of functions for 2D
graphi
ii  libatk1.0-0             1.30.0-1         The ATK accessibility
toolkit
ii  libc6                   2.11.2-2         Embedded GNU C Library:
Shared lib
ii  libcairo2               1.8.10-4         The Cairo 2D vector
graphics libra
ii  libcamel1.2-14          2.30.2.1-1       The Evolution MIME message
handlin
ii  libcanberra-gtk0        0.24-1           Gtk+ helper for playing
widget eve
ii  libcanberra0            0.24-1           a simple abstract interface
for pl
ii  libdbus-1-3             1.2.24-3         simple interprocess
messaging syst
ii  libdbus-glib-1-2        0.88-2           simple interprocess
messaging syst
ii  libebackend1.2-0        2.30.2.1-1       Utility library for
evolution data
ii  libebook1.2-9           2.30.2.1-1       Client library for
evolution addre
ii  libecal1.2-7            2.30.2.1-1       Client library for
evolution calen
ii  libedataserver1.2-13    2.30.2.1-1       Utility library for
evolution data
ii  libedataserverui1.2-8   2.30.2.1-1       GUI utility library for
evolution 
ii  libegroupwise1.2-13     2.30.2.1-1       Client library for
accessing group
ii  libenchant1c2a          1.6.0-1          a wrapper library for
various spel
ii  libevolution            2.30.2-1         evolution libraries
ii  libfontconfig1          2.8.0-2.1        generic font configuration
library
ii  libfreetype6            2.4.2-1          FreeType 2 font engine,
shared lib
ii  libgconf2-4             2.28.1-3         GNOME configuration
database syste
ii  libgdata-google1.2-1    2.30.2.1-1       Client library for
accessing Googl
ii  libgdata1.2-1           2.30.2.1-1       Client library for
accessing Googl
ii  libglib2.0-0            2.24.1-1         The GLib library of C
routines
ii  libgnome-desktop-2-17   2.30.2-1         Utility library for
loading .deskt
ii  libgnomecanvas2-0       2.30.1-1         A powerful object-oriented
display
ii  libgtk2.0-0             2.20.1-1         The GTK+ graphical user
interface 
ii  libgtkhtml-editor0      3.30.2-1         HTML rendering/editing
library - e
ii  libgtkhtml3.14-19       3.30.2-1         HTML rendering/editing
library - r
ii  libgweather1            2.30.2-1         GWeather shared library
ii  libical0                0.44-3           iCalendar library
implementation i
ii  libice6                 2:1.0.6-1        X11 Inter-Client Exchange
library
ii  libnotify1 [libnotify1- 0.5.0-2          sends desktop notifications
to a n
ii  libnspr4-0d             4.8.4-2          NetScape Portable Runtime
Library
ii  libnss3-1d              3.12.6-3         Network Security Service
libraries
ii  libpango1.0-0           1.28.1-1         Layout and rendering of
internatio
ii  libsm6                  2:1.1.1-1        X11 Session Management
library
ii  libsoup2.4-1            2.30.2-1         an HTTP library
implementation in 
ii  libsqlite3-0            3.7.0-1.1        SQLite 3 shared library
ii  libstartup-notification 0.10-1           library for program launch
feedbac
ii  libunique-1.0-0         1.1.6-1          Library for writing single
instanc
ii  libxml2                 2.7.7.dfsg-4     GNOME XML library
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library -
runtime

Versions of packages evolution recommends:
pn  bogofilter | spamassassi <none>          (no description available)
ii  evolution-plugins        2.30.2-1        standard plugins for
Evolution
ii  evolution-webcal         2.28.1-1        webcal: URL handler for
GNOME and 
ii  gnome-desktop-data       2.30.2-1        Common files for GNOME
desktop app
ii  yelp                     2.30.1+webkit-1 Help browser for GNOME

Versions of packages evolution suggests:
pn  bug-buddy                     <none>     (no description available)
pn  evolution-dbg                 <none>     (no description available)
ii  evolution-exchange            2.30.2-1   Exchange plugin for the
Evolution 
pn  evolution-plugins-experimenta <none>     (no description available)
ii  gnupg                         1.4.10-4   GNU privacy guard - a free
PGP rep
ii  network-manager               0.8.1-2+b1 network management
framework daemo

-- debconf information excluded





Forcibly Merged 549451 582358 584200 587302 587325 590547 594072 597147. Request was from Yves-Alexis Perez <corsac@debian.org> to control@bugs.debian.org. (Fri, 17 Sep 2010 05:57:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>:
Bug#549451; Package evolution. (Tue, 12 Oct 2010 19:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Leandro DUTRA <leandro.gfc.dutra@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>. (Tue, 12 Oct 2010 19:06:02 GMT) Full text and rfc822 format available.

Message #64 received at 549451@bugs.debian.org (full text, mbox):

From: Leandro DUTRA <leandro.gfc.dutra@gmail.com>
To: 549451@bugs.debian.org
Subject: Any news?
Date: Tue, 12 Oct 2010 16:03:47 -0300
Ðis is becoming old already, will we need to downgrade Evolution or
remove network-manager?


-- 
skype:leandro.gfc.dutra?chat      Yahoo!: ymsgr:sendIM?lgcdutra
+55 (61) 3546 7191              gTalk: xmpp:leandrod@jabber.org
+55 (11) 9406 7191        ICQ/AIM: aim:GoIM?screenname=61287803
BRAZIL GMT-3  MSN: msnim:chat?contact=leandro@dutra.fastmail.fm




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>:
Bug#549451; Package evolution. (Tue, 12 Oct 2010 21:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>. (Tue, 12 Oct 2010 21:36:06 GMT) Full text and rfc822 format available.

Message #69 received at 549451@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: Leandro DUTRA <leandro.gfc.dutra@gmail.com>, 549451@bugs.debian.org
Subject: Re: [Evolution] Bug#549451: Any news?
Date: Tue, 12 Oct 2010 23:33:58 +0200
[Message part 1 (text/plain, inline)]
On mar., 2010-10-12 at 16:03 -0300, Leandro DUTRA wrote:
> Ðis is becoming old already, will we need to downgrade Evolution or
> remove network-manager?

https://bugzilla.gnome.org/show_bug.cgi?id=624738

-- 
Yves-Alexis
[signature.asc (application/pgp-signature, inline)]

Changed Bug forwarded-to-address to 'https://bugzilla.gnome.org/show_bug.cgi?id=624738, merged-upstream: http://bugzilla.gnome.org/show_bug.cgi?id=624701' from 'https://bugzilla.gnome.org/show_bug.cgi?id=624738' Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 14 Oct 2010 18:15:46 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>:
Bug#549451; Package evolution. (Mon, 15 Nov 2010 06:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominique Brazziel <dbrazziel@snet.net>:
Extra info received and forwarded to list. Copy sent to Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>. (Mon, 15 Nov 2010 06:03:03 GMT) Full text and rfc822 format available.

Message #76 received at 549451@bugs.debian.org (full text, mbox):

From: Dominique Brazziel <dbrazziel@snet.net>
To: 549451@bugs.debian.org
Subject: PLEASE FIX THIS
Date: Mon, 15 Nov 2010 01:00:18 -0500
	For the love of GOD, this is obviously a BUG
in Evolution.  It takes people HOURS to figure out
why they can't send/receive email when they set up
their accounts and it's all because of one shitty package
(Evolution) asking another shitty package (network manager)
whether or not the machine is online.

	The various workarounds mentioned in the upstream
bugs DON'T WORK.  The '--online' switch mentioned in 
'evolution --help' DOESN'T WORK, evolution still starts up
offline EVERY TIME.  Worse yet, when the user attempts to 
do due diligence and inspect what is going on, he/she finds
that the diagnostic switch '--debug=FILE' DOESN'T WORK.

evolution --online --debug=~/logs/evolution.log

(evolution:30170): evolution-shell-WARNING **: Could not set up
debugging output file.

	Stop consulting network-manager to find out the 
status of the network, Pidgin has a startup option to do just that.  
Network Manager doesn't manage wired connections by default anymore.
Network Manager, gnome-keyring, all these components that are
supposed to make things easier and more secure for the user
end up doing EXACTLY THE OPPOSITE because they don't work out
of the box and end up being such an enormous CLUSTERFUCK the
user/administrator throws up his hands and after spending hours just
trying to get a fucking e-mail account set up.  I guarantee you
I've spent 100 times more time wading through endless bug reports
about this then it's taken me to install and setup a bunch of
OE accounts.  

	Stop treating the people that file these reports 
with condescension or worse yet, ignorance.  If people take the
time to open these reports they know what they are doing, and 
it's sad when they know more than the maintainer.  
"I don't use network-manager" is NOT A HELPFUL RESPONSE.  We'd all like
to rip out network-manager but we CAN'T, so you, the maintainer,
should get busy trying to fix this.
	





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>:
Bug#549451; Package evolution. (Wed, 17 Nov 2010 22:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vagner Rener <vagnerrener@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>. (Wed, 17 Nov 2010 22:09:03 GMT) Full text and rfc822 format available.

Message #81 received at 549451@bugs.debian.org (full text, mbox):

From: Vagner Rener <vagnerrener@gmail.com>
To: 549451@bugs.debian.org
Subject: 549451@bugs.debian.org
Date: Wed, 17 Nov 2010 19:05:51 -0300
I totally agree with Dominique Brazziel <dbrazziel@snet.net>

That is not a plausible answer for a package maintainer.
So, if he is unable to fix the package then give the place away for
other person who can do the job.
I have this bug her for ages. I like Linux to but, sometimes Windows
people have some reason when they say that they do not have time to
spend fixing all the Linux bugs that exist.
I have spent days for figuring out what is wrong with Evolution and I
have found that the problem is another package.

That is amazing!
:(

__________________________________________________________________________





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>:
Bug#549451; Package evolution. (Wed, 17 Nov 2010 22:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>. (Wed, 17 Nov 2010 22:21:03 GMT) Full text and rfc822 format available.

Message #86 received at 549451@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: Vagner Rener <vagnerrener@gmail.com>, 549451@bugs.debian.org
Subject: Re: [Evolution] Bug#549451: 549451@bugs.debian.org
Date: Wed, 17 Nov 2010 23:19:34 +0100
[Message part 1 (text/plain, inline)]
On mer., 2010-11-17 at 19:05 -0300, Vagner Rener wrote:
> That is not a plausible answer for a package maintainer.
> So, if he is unable to fix the package then give the place away for
> other person who can do the job. 

Please do, you're really welcome, thanks for your help.
-- 
Yves-Alexis
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>:
Bug#549451; Package evolution. (Wed, 17 Nov 2010 22:42:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to vagner <vagnerrener@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>. (Wed, 17 Nov 2010 22:42:07 GMT) Full text and rfc822 format available.

Message #91 received at 549451@bugs.debian.org (full text, mbox):

From: vagner <vagnerrener@gmail.com>
To: 549451@bugs.debian.org
Subject: Please fix this damm network-manager!
Date: Wed, 17 Nov 2010 18:47:40 -0300
I totally agree with Dominique Brazziel <dbrazziel@snet.net>

That is not a plausible answer for a package maintainer.
So, if he is unable to fix the package then give the place away for
other person who can do the job.
I have this bug her for ages. I like Linux to but, sometimes Windows
people have some reason when they say that they do not have time to
spend fixing all the linux bugs that exist.
I have spent days for figuring out what is wrong with Evolution and I
have found that the problem is another package.

That is amazing!
:(

__________________________________________________________________________





Forcibly Merged 549451 582358 584200 587302 587325 590547 594072 597147 601340. Request was from Miguel Figueiredo <elmig@debianpt.org> to control@bugs.debian.org. (Sat, 01 Jan 2011 15:54:05 GMT) Full text and rfc822 format available.

Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:03:30 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>:
Bug#549451; Package evolution. (Sun, 27 Mar 2011 06:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Omer Zak <w1@zak.co.il>:
Extra info received and forwarded to list. Copy sent to Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>. (Sun, 27 Mar 2011 06:06:03 GMT) Full text and rfc822 format available.

Message #100 received at 549451@bugs.debian.org (full text, mbox):

From: Omer Zak <w1@zak.co.il>
To: Debian Bug Tracking System <549451@bugs.debian.org>
Subject: evolution: I could set Evolution online after editing NetworkManager.conf
Date: Sun, 27 Mar 2011 07:05:21 +0200
[Message part 1 (text/plain, inline)]
Package: evolution
Version: 2.30.3-5
Severity: normal

I was successful in working around the bug and enabling the operation of
setting Evolution online by editing
/etc/NetworkManager/NetworkManager.conf, and setting managed=true
(instead of false) in the [ifupdown] section.
I am attaching the whole /etc/NetworkManager/NetworkManager.conf file.

The NetworkManager version which I use is:
ii  network-manager                               0.8.1-6+squeeze1                  network management framework daemon
ii  network-manager-gnome                         0.8.1-2                           network management framework (GNOME frontend)


-- System Information:
Debian Release: 6.0.1
  APT prefers squeeze-updates
  APT policy: (500, 'squeeze-updates'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-vserver-amd64 (SMP w/8 CPU cores)
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages evolution depends on:
ii  dbus                   1.2.24-4          simple interprocess messaging syst
ii  debconf [debconf-2.0]  1.5.36.1          Debian configuration management sy
ii  evolution-common       2.30.3-5          architecture independent files for
ii  evolution-data-server  2.30.3-2          evolution database backend server
ii  gconf2                 2.28.1-6          GNOME configuration database syste
ii  gnome-icon-theme       2.30.3-2          GNOME Desktop icon theme
ii  libart-2.0-2           2.3.21-1          Library of functions for 2D graphi
ii  libatk1.0-0            1.30.0-1          The ATK accessibility toolkit
ii  libc6                  2.11.2-10         Embedded GNU C Library: Shared lib
ii  libcairo2              1.8.10-6          The Cairo 2D vector graphics libra
ii  libcamel1.2-14         2.30.3-2          The Evolution MIME message handlin
ii  libcanberra-gtk0       0.24-1            Gtk+ helper for playing widget eve
ii  libcanberra0           0.24-1            a simple abstract interface for pl
ii  libdbus-1-3            1.2.24-4          simple interprocess messaging syst
ii  libdbus-glib-1-2       0.88-2.1          simple interprocess messaging syst
ii  libebackend1.2-0       2.30.3-2          Utility library for evolution data
ii  libebook1.2-9          2.30.3-2          Client library for evolution addre
ii  libecal1.2-7           2.30.3-2          Client library for evolution calen
ii  libedataserver1.2-13   2.30.3-2          Utility library for evolution data
ii  libedataserverui1.2-8  2.30.3-2          GUI utility library for evolution 
ii  libegroupwise1.2-13    2.30.3-2          Client library for accessing group
ii  libenchant1c2a         1.6.0-1           a wrapper library for various spel
ii  libevolution           2.30.3-5          evolution libraries
ii  libfontconfig1         2.8.0-2.1         generic font configuration library
ii  libfreetype6           2.4.2-2.1         FreeType 2 font engine, shared lib
ii  libgconf2-4            2.28.1-6          GNOME configuration database syste
ii  libgdata-google1.2-1   2.30.3-2          Client library for accessing Googl
ii  libgdata1.2-1          2.30.3-2          Client library for accessing Googl
ii  libglib2.0-0           2.24.2-1          The GLib library of C routines
ii  libgnome-desktop-2-17  2.30.2-2          Utility library for loading .deskt
ii  libgnomecanvas2-0      2.30.1-1          A powerful object-oriented display
ii  libgtk2.0-0            2.20.1-2          The GTK+ graphical user interface 
ii  libgtkhtml-editor0     3.30.3-1          HTML rendering/editing library - e
ii  libgtkhtml3.14-19      3.30.3-1          HTML rendering/editing library - r
ii  libgweather1           2.30.3-1          GWeather shared library
ii  libical0               0.44-3            iCalendar library implementation i
ii  libice6                2:1.0.6-2         X11 Inter-Client Exchange library
ii  libnotify1 [libnotify1 0.5.0-2           sends desktop notifications to a n
ii  libnspr4-0d            4.8.6-1           NetScape Portable Runtime Library
ii  libnss3-1d             3.12.8-1+squeeze1 Network Security Service libraries
ii  libpango1.0-0          1.28.3-1+squeeze2 Layout and rendering of internatio
ii  libsm6                 2:1.1.1-1         X11 Session Management library
ii  libsoup2.4-1           2.30.2-1          an HTTP library implementation in 
ii  libsqlite3-0           3.7.3-1           SQLite 3 shared library
ii  libstartup-notificatio 0.10-1            library for program launch feedbac
ii  libunique-1.0-0        1.1.6-1.1         Library for writing single instanc
ii  libxml2                2.7.8.dfsg-2      GNOME XML library
ii  zlib1g                 1:1.2.3.4.dfsg-3  compression library - runtime

Versions of packages evolution recommends:
ii  evolution-plugins        2.30.3-5        standard plugins for Evolution
ii  evolution-webcal         2.28.1-1        webcal: URL handler for GNOME and 
ii  gnome-desktop-data       2.30.2-2        Common files for GNOME desktop app
ii  spamassassin             3.3.1-1         Perl-based spam filter using text 
ii  yelp                     2.30.1+webkit-1 Help browser for GNOME

Versions of packages evolution suggests:
pn  bug-buddy               <none>           (no description available)
pn  evolution-dbg           <none>           (no description available)
ii  evolution-exchange      2.30.2-1         Exchange plugin for the Evolution 
pn  evolution-plugins-exper <none>           (no description available)
ii  gnupg                   1.4.10-4         GNU privacy guard - a free PGP rep
ii  network-manager         0.8.1-6+squeeze1 network management framework daemo

-- debconf information:
  evolution/kill_processes:
  evolution/needs_shutdown:
[NetworkManager.conf (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>:
Bug#549451; Package evolution. (Thu, 01 Mar 2012 14:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Abou Al Montacir <abou.almontacir@sfr.fr>:
Extra info received and forwarded to list. Copy sent to Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>. (Thu, 01 Mar 2012 14:45:04 GMT) Full text and rfc822 format available.

Message #105 received at 549451@bugs.debian.org (full text, mbox):

From: Abou Al Montacir <abou.almontacir@sfr.fr>
To: 549451@bugs.debian.org
Subject: [evolution] Get rid of NM
Date: Thu, 01 Mar 2012 15:30:06 +0100
[Message part 1 (text/plain, inline)]
Package: evolution
Version: 3.2.2-1

--- Please enter the report below this line. ---
Please find here an other workaround.

I can not set managed=true because otherwise many other services will not work and I can not afford this. Indeed I'm using NFS and this just hangs the machine when playing with NM.
So the solution is to get rid of NM. However as evolution depends on it, this is not possible.
However, a workaround of this exists: just get rid of /etc/init.d/network-manager. This will ensure that the dependency is satisfied, but NM does not start upons system startup.
Now, what is miraculous, is that evolution does not care and will start, guess how? ONLINE!

So, dear maintainer, CAN YOU PLEASE GET RID OF DEPENDENCY ON NM? Can you please just recommend NM, this is a task YOU CAN DO IT!

Thanks and Best Regards,

--- System information. ---
Architecture: i386
Kernel:       Linux 3.2.0-1-686-pae

Debian Release: wheezy/sid
  500 testing         apt-cache.sequans.com 
  500 sequans         apt-cache.sequans.com 

--- Package information. ---
Depends                             (Version) | Installed
=============================================-+-==================
libatk1.0-0                       (>= 1.12.4) | 2.2.0-2
libc6                                (>= 2.7) | 2.13-26
libcairo-gobject2                 (>= 1.10.0) | 1.10.2-6.2
libcairo2                           (>= 1.10) | 1.10.2-6.2
libcamel-1.2-29                      (>= 3.2) | 3.2.2-1
libcamel-1.2-29                      (<< 3.3) | 3.2.2-1
libcanberra-gtk3-0                  (>= 0.25) | 0.28-3
libcanberra0                         (>= 0.2) | 0.28-3
libclutter-1.0-0                   (>= 1.0.0) | 1.8.4-1
libclutter-gtk-1.0-0              (>= 0.91.8) | 1.0.4-1
libcogl-pango0                     (>= 1.7.4) | 1.8.2-1
libcogl5                           (>= 1.7.4) | 1.8.2-1
libdrm2                            (>= 2.3.1) | 2.4.30-1
libebackend-1.2-1                  (>= 3.2.2) | 3.2.2-1
libebook-1.2-12                    (>= 3.2.2) | 3.2.2-1
libecal-1.2-10                     (>= 3.2.2) | 3.2.2-1
libedataserver-1.2-15              (>= 3.2.2) | 3.2.2-1
libedataserverui-3.0-1             (>= 3.2.2) | 3.2.2-1
libenchant1c2a                       (>= 1.6) | 1.6.0-7
libevolution                         (>= 3.2) | 3.2.2-1
libevolution                         (<< 3.3) | 3.2.2-1
libfontconfig1                     (>= 2.8.0) | 2.8.0-3.1
libfreetype6                       (>= 2.2.1) | 2.4.8-1
libgail-3-0                        (>= 3.0.0) | 3.2.3-1
libgconf2-4                       (>= 2.31.1) | 2.32.4-1
libgdata13                        (>= 0.10.1) | 0.10.1-2
libgdk-pixbuf2.0-0                (>= 2.22.0) | 2.24.1-1
libgl1-mesa-glx                               | 7.11.2-1
 OR libgl1                                    | 
libglib2.0-0                      (>= 2.30.0) | 2.30.2-6
libgnome-desktop-3-2               (>= 3.2.0) | 3.2.1-3
libgtk-3-0                         (>= 3.0.2) | 3.2.3-1
libgtkhtml-4.0-0                     (>= 4.2) | 4.2.2-1
libgtkhtml-4.0-0                     (<< 4.3) | 4.2.2-1
libgtkhtml-editor-4.0-0              (>= 4.2) | 4.2.2-1
libgtkhtml-editor-4.0-0              (<< 4.3) | 4.2.2-1
libgweather-3-0                    (>= 3.0.0) | 3.2.1-1
libical0                            (>= 0.42) | 0.44-3
libjson-glib-1.0-0                (>= 0.12.0) | 0.14.2-1
libmx-1.0-2                        (>= 1.2.0) | 1.4.1-1
libnotify4                         (>= 0.7.0) | 0.7.4-1
libnspr4-0d                     (>= 1.8.0.10) | 4.9~beta5-2
libnss3-1d                  (>= 3.12.0~1.9b1) | 3.13.1.with.ckbi.1.88-1
libpango1.0-0                     (>= 1.14.0) | 1.29.4-2
libsoup-gnome2.4-1                (>= 2.31.2) | 2.34.3-1
libsoup2.4-1                      (>= 2.32.2) | 2.34.3-1
libsqlite3-0                       (>= 3.5.9) | 3.7.10-1
libx11-6                                      | 2:1.4.4-4
libxcomposite1                   (>= 1:0.3-1) | 1:0.4.3-2
libxdamage1                        (>= 1:1.1) | 1:1.1.3-2
libxext6                                      | 2:1.3.0-3
libxfixes3                                    | 1:5.0-4
libxi6                                        | 2:1.4.5-1
libxml2                            (>= 2.7.4) | 2.7.8.dfsg-7
gconf2                          (>= 2.28.1-2) | 2.32.4-1
evolution-common                  (= 3.2.2-1) | 3.2.2-1
evolution-data-server                (>= 3.2) | 3.2.2-1
evolution-data-server                (<< 3.3) | 3.2.2-1
gnome-icon-theme                (>= 2.30.2.1) | 3.2.1.2-1
dbus                                          | 1.4.18-1
psmisc                                        | 22.15-2


Recommends             (Version) | Installed
================================-+-===========
evolution-plugins                | 3.2.2-1
evolution-webcal                 | 2.32.0-2+b1
yelp                             | 3.2.1+dfsg-1+b1
bogofilter                       | 
 OR spamassassin                 | 3.3.2-2


Suggests                            (Version) | Installed
=============================================-+-===========
evolution-exchange                            | 3.2.1-2
evolution-dbg                                 | 3.2.2-1
evolution-plugins-experimental                | 
gnupg                                         | 1.4.11-3
network-manager                               | 0.9.2.0-2




[signature.asc (application/pgp-signature, inline)]

Merged 549451 582358 584200 587302 587325 590547 594072 597147 599722 601340 Request was from Noël Köthe <noel@debian.org> to control@bugs.debian.org. (Sun, 25 Mar 2012 11:33:56 GMT) Full text and rfc822 format available.

Added tag(s) jessie. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 18 Apr 2013 17:34:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 00:34:25 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.